Package Gnumed :: Package business :: Module gmPerson :: Class cPersonName |
[frames] | no frames]

# Class cPersonName

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cPersonName

Instance Methods
__setitem__(self, attribute, value) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__str__`, `__unicode__`, `fields_as_dict`, `format`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| description = `property(_get_description, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### __setitem__(self, attribute, value) (Index assignment operator) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.__setitem__